Description

The shortcut can't be run as administrator right clicking on it, because it's actually linked to a VBScript.

Associated revisions
Revision 42933 - 08/21/2016 04:22 PM - Joaquín  del Cerro Murciano

refs #4122, añadido fichero reg para windows que tras rodarlo permite ejecutar gvsig-desktop.vbs como administrador

Revision 43294 - 06/08/2017 01:33 PM - Francisco Díaz Carsí

refs #4122 Fixed Shortcut can't be run as administrator

History
#1 - 02/26/2016 12:40 PM - Antonio Falciano

A workaround for RC1 windows users: right-click on the gvsig-desktop.cmd file contained in the gvSIG install folder and execute it as administrator. So
it will be possible to install new plugins from the Addons manager.

#2 - 07/29/2016 06:41 PM - Antonio Falciano

The gvsig-desktop.vbs can be forced to run always as administrator, but it could be very annoying for the user:

If WScript.Arguments.length=0 Then
Set objShell = CreateObject("Shell.Application")
objShell.ShellExecute "wscript.exe", Chr(34) & _
WScript.ScriptFullName & Chr(34) & " uac", "", "runas", 1
Else
Set shell = CreateObject("Wscript.Shell")
shell.CurrentDirectory = CreateObject("Scripting.FileSystemObject").GetParentFolderName(Wscript.ScriptFullName)
shell.Run "busybox sh gvSIG.sh", 0, True
End If
 Instead, the best alternative I know is to compile an exe file from a simple AutoIt script (in place of the vbs script):

Run(@ComSpec & " /c busybox sh gvSIG.sh", @WorkingDir, @SW_hide)

This one lets the user decide to run gvSIG as administrator or not, just like in gvSIG 2.2-

#3 - 08/04/2016 05:27 PM - Joaquín  del Cerro Murciano

Estoy teniendo en cuenta varias opciones...
Una de ellas seria habilitar la ejecución de vbs como administrador desde el menú contextual.
Para ello habría que añadir al registro una clave en el momento de la instalación, lo que llevaría tocar el izpack.
No termina de convencerme, pero dejo aquí la nota por si acaso vuelvo sobre esta opción.

Adding the Run as Administrator option for .VBS and .JS files
http://www.winhelponline.com/blog/adding-the-run-as-administrator-option-for-vbs-and-js-files/

IzPack, RegistryInstallerListener / RegistryUninstallerListener
https://izpack.atlassian.net/wiki/pages/viewpage.action?pageId=491676

#4 - 08/04/2016 05:31 PM - Joaquín  del Cerro Murciano

Mientras decido que opción tomar... un usuario que precisase arrancar como administrador la aplicación, podría hacerlo yendo a la carpeta donde ha
instalado gvSIG y ejecutando allí el "gvsig-desktop.cmd" usando el menú contextual para ejecutarlo como administrador.

#5 - 08/04/2016 06:29 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220)

#6 - 08/04/2016 08:30 PM - Antonio Falciano
- File gvSIG-desktop-2.3.0-launcher_AutoIt.zip added

Hi Joaquín,
I attach two compiled versions (x86 and x64) and the source itself of the above AutoIt script for evaluation purpose.
Minimal instructions for watchers/testers:
    -  copy only one executable file in the gvSIG install folder in reference to the installation type (x86 or x64, i.e. 32 or 64 bits);
    -  rename it simply as "gvsig-desktop.exe";
    -  create a desktop shortcut of gvsig-desktop.exe;
    -  verify that the desktop shortcut can be executed as administrator by the contextual menu correctly.

Feedbacks are very appreciated, especially those of Windows 10 users! ;-)

#7 - 06/05/2017 09:55 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2820 (rev. org.gvsig.desktop-2.0.186) 

#8 - 06/06/2017 02:38 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2820 (rev. org.gvsig.desktop-2.0.186)  to 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220)

#9 - 06/07/2017 02:58 PM - Francisco Díaz Carsí
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2821 (rev. org.gvsig.desktop-2.0.187) 

04/29/2024 2/3

http://www.winhelponline.com/blog/adding-the-run-as-administrator-option-for-vbs-and-js-files/
https://izpack.atlassian.net/wiki/pages/viewpage.action?pageId=491676


#10 - 06/08/2017 01:35 PM - Francisco Díaz Carsí
- Assignee set to Francisco Díaz Carsí
- Status changed from New to Fixed

#11 - 06/14/2017 05:09 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG-desktop-2.3.0-launcher_AutoIt.zip 850 KB 08/04/2016 Antonio Falciano
